### Virtual Method

# Phosh DBusScreenshot handle_screenshot_area

#### Declaration [src]

    gboolean
    handle_screenshot_area (
      PhoshDBusScreenshot* object,
      GDBusMethodInvocation* invocation,
      gint arg_x,
      gint arg_y,
      gint arg_width,
      gint arg_height,
      gboolean arg_flash,
      const gchar* arg_filename
    )

#### Description [src]

Handler for the `PhoshDBusScreenshot::handle-screenshot-area` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_x`

  Type: `gint`

  No description available.

`arg_y`

  Type: `gint`

  No description available.

`arg_width`

  Type: `gint`

  No description available.

`arg_height`

  Type: `gint`

  No description available.

`arg_flash`

  Type: `gboolean`

  No description available.

`arg_filename`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.